using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using trade_akapralov.classes;
using trade_akapralov.idataprovider;


namespace trade_akapralov
{
    public partial class MainWindow : Window
    {
        public List<Product> ProductList { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;
            Globals.DataProvider = new DBDataProvider();
            ProductList = (List<Product>?)Globals.DataProvider.getProduct();
        }
        public List<Product> productList { get; set; }
        private void ExitButton_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();

        }

    }
}